ReferenceAPI referenceSecrets
Remove a repository credential override and reveal its organization fallback
Requires ADMIN or SUPER_USER. The current version must match and an organization secret with the same name must exist. Deletion is recorded in the audit log.
DELETE
/organizations/{organization_id}/repositories/{repository_id}/secrets/{secret_name}Requires ADMIN or SUPER_USER. The current version must match and an organization secret with the same name must exist. Deletion is recorded in the audit log.
tasuku_session<token>
In: cookie
Path Parameters
organization_id*string
Length
1 <= length <= 128repository_id*string
Length
1 <= length <= 128secret_name*string
Match
^[A-Z][A-Z0-9_]*$Query Parameters
expected_version*integer
Range
1 <= valueResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://example.com/organizations/string/repositories/string/secrets/string?expected_version=1"{ "data": { "name": "string", "deleted_version": 1, "fallback_fingerprint": "string" }}